## webkit2gtk 2.24.2

=== CMakeLists.txt ===
# -----------------------------------------------------------------------------
# Determine CMake version and build type.
# -----------------------------------------------------------------------------
#
# NOTE: cmake_minimum_required() and project() *MUST* be the two fist commands
# used, see https://cmake.org/cmake/help/v3.3/command/project.html -- the
# latter in particular handles loading a bunch of shared CMake definitions
# and loading the cross-compilation settings from CMAKE_TOOLCHAIN_FILE.
#

cmake_minimum_required(VERSION 3.3)

project(WebKit)

if (NOT CMAKE_BUILD_TYPE)
    message(WARNING "No CMAKE_BUILD_TYPE value specified, defaulting to RelWithDebInfo.")
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build." FORCE)
else ()
    message(STATUS "The CMake build type is: ${CMAKE_BUILD_TYPE}")
endif ()

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/Source/cmake")

set(ENABLE_WEBCORE ON)

if (NOT DEFINED ENABLE_WEBKIT)
    set(ENABLE_WEBKIT ON)
endif ()

if (NOT DEFINED ENABLE_TOOLS AND EXISTS "${CMAKE_SOURCE_DIR}/Tools")
    set(ENABLE_TOOLS ON)
endif ()

# -----------------------------------------------------------------------------
# Determine which port will be built
# -----------------------------------------------------------------------------
set(ALL_PORTS
    AppleWin
    Efl
    GTK
    JSCOnly
    Mac
    PlayStation
    WPE
    WinCairo
)
set(PORT "NOPORT" CACHE STRING "choose which WebKit port to build (one of ${ALL_PORTS})")

list(FIND ALL_PORTS ${PORT} RET)
if (${RET} EQUAL -1)
    message(FATAL_ERROR "Please choose which WebKit port to build (one of ${ALL_PORTS})")
endif ()

string(TOLOWER ${PORT} WEBKIT_PORT_DIR)

# -----------------------------------------------------------------------------
# Determine the compiler
# -----------------------------------------------------------------------------
if (${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang" OR ${CMAKE_CXX_COMPILER_ID} STREQUAL "AppleClang")
    set(COMPILER_IS_CLANG ON)
endif ()

if (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    if (${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS "6.0.0")
        message(FATAL_ERROR "GCC 6.0.0 is required to build WebKitGTK+, use a newer GCC version or clang")
    endif ()
endif ()

if (CMAKE_COMPILER_IS_GNUCXX OR COMPILER_IS_CLANG)
    set(COMPILER_IS_GCC_OR_CLANG ON)
endif ()

if (MSVC AND COMPILER_IS_CLANG)
    set(COMPILER_IS_CLANG_CL ON)
endif ()

# -----------------------------------------------------------------------------
# Determine the target processor
# -----------------------------------------------------------------------------
# Use MSVC_CXX_ARCHITECTURE_ID instead of CMAKE_SYSTEM_PROCESSOR when defined,
# since the later one just resolves to the host processor on Windows.
if (MSVC_CXX_ARCHITECTURE_ID)
    string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)
else ()
    string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)
endif ()
if (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(^aarch64|^arm64)")
    set(WTF_CPU_ARM64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
    set(WTF_CPU_ARM 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^mips64")
    set(WTF_CPU_MIPS64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^mips")
    set(WTF_CPU_MIPS 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(x64|x86_64|amd64)")
    set(WTF_CPU_X86_64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(i[3-6]86|x86)")
    set(WTF_CPU_X86 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ppc")
    set(WTF_CPU_PPC 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ppc64")
    set(WTF_CPU_PPC64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ppc64le")
    set(WTF_CPU_PPC64LE 1)
else ()
    set(WTF_CPU_UNKNOWN 1)
endif ()

# -----------------------------------------------------------------------------
# Determine the operating system
# -----------------------------------------------------------------------------
if (UNIX)
    if (APPLE)
        set(WTF_OS_MAC_OS_X 1)
    elseif (CMAKE_SYSTEM_NAME MATCHES "Linux")
        set(WTF_OS_LINUX 1)
    else ()
        set(WTF_OS_UNIX 1)
    endif ()
elseif (CMAKE_SYSTEM_NAME MATCHES "Windows")
    set(WTF_OS_WINDOWS 1)
elseif (CMAKE_SYSTEM_NAME MATCHES "Fuchsia")
    set(WTF_OS_FUCHSIA 1)
else ()
    message(FATAL_ERROR "Unknown OS '${CMAKE_SYSTEM_NAME}'")
endif ()

# -----------------------------------------------------------------------------
# Default library types
# -----------------------------------------------------------------------------
# By default, only the highest-level libraries, WebKitLegacy and WebKit, are
# shared, because properly building shared libraries that depend on each other
# can be tricky. Override these in Options*.cmake for your port as needed.
set(WTF_LIBRARY_TYPE STATIC)
set(JavaScriptCore_LIBRARY_TYPE STATIC)
set(PAL_LIBRARY_TYPE STATIC)
set(WebCore_LIBRARY_TYPE STATIC)
set(WebKitLegacy_LIBRARY_TYPE SHARED)
set(WebKit_LIBRARY_TYPE SHARED)
set(WebCoreTestSupport_LIBRARY_TYPE STATIC)

set(CMAKE_POSITION_INDEPENDENT_CODE True)

# -----------------------------------------------------------------------------
# Install JavaScript shell
# -----------------------------------------------------------------------------
option(SHOULD_INSTALL_JS_SHELL "generate an installation rule to install the built JavaScript shell")

# -----------------------------------------------------------------------------
# Default output directories, which can be overwritten by ports
#------------------------------------------------------------------------------
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

# -----------------------------------------------------------------------------
# Common configuration
#------------------------------------------------------------------------------
include(WebKitCommon)

# -----------------------------------------------------------------------------
# Enable API unit tests and create a target for the test runner
# -----------------------------------------------------------------------------
if (ENABLE_API_TESTS)
    enable_testing()
endif ()

# -----------------------------------------------------------------------------
# Add module directories
# -----------------------------------------------------------------------------
add_subdirectory(Source)

# -----------------------------------------------------------------------------
# Add tools
# -----------------------------------------------------------------------------
if (ENABLE_TOOLS)
    add_subdirectory(Tools)
endif ()

if ("${PORT}" STREQUAL "GTK" OR "${PORT}" STREQUAL "WPE")
    if (DEVELOPER_MODE)
        add_subdirectory(PerformanceTests)
    endif ()
else ()
    add_subdirectory(PerformanceTests)
endif ()

# -----------------------------------------------------------------------------
# Print the features list last, for maximum visibility.
# -----------------------------------------------------------------------------
PRINT_WEBKIT_OPTIONS()

=== debian/changelog ===
webkit2gtk (2.24.2-0ubuntu0.18.10.1) cosmic-security; urgency=medium

  * Updated to 2.24.2 to fix security issues.
    - CVE-2019-8595, CVE-2019-8607, CVE-2019-8615
  * debian/libwebkit2gtk-4.0-37.symbols: updated for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 May 2019 14:45:44 -0400

webkit2gtk (2.24.1-0ubuntu0.18.10.2) cosmic-security; urgency=medium

  * Updated to 2.24.1 to fix security issues.
    - CVE-2019-6251, CVE-2019-8375, CVE-2019-8506, CVE-2019-8518,
      CVE-2019-8523, CVE-2019-8524, CVE-2019-8535, CVE-2019-8536,
      CVE-2019-8544, CVE-2019-8551, CVE-2019-8558, CVE-2019-8559,
      CVE-2019-8563, CVE-2019-11070
  * debian/patches/*.patch: refreshed.
  * debian/rules: don't build with openjpeg (in universe).
  * debian/rules: build i386 with SSE2.
  * debian/rules: build armhf with -O1.
  * debian/libwebkit2gtk-4.0-37.symbols: updated for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Apr 2019 08:27:13 -0400

webkit2gtk (2.22.6-0ubuntu0.18.10.1) cosmic-security; urgency=medium

  * Updated to 2.22.6 to fix security issues.
    - CVE-2019-6212
    - CVE-2019-6215

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 Feb 2019 11:23:34 -0500

webkit2gtk (2.22.5-0ubuntu0.18.10.1) cosmic-security; urgency=medium

  * Updated to 2.22.5 to fix security issues.
    - CVE-2018-4437
  * Removed patches no longer needed:
    - debian/patches/detect-jit.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Jan 2019 14:35:18 -0500

webkit2gtk (2.22.4-0ubuntu0.18.10.1) cosmic-security; urgency=medium

  * Updated to 2.22.4 to fix security issues.
    - CVE-2018-4345, CVE-2018-4372, CVE-2018-4386

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 23 Nov 2018 07:32:26 -0500

=== debian/control ===
Source: webkit2gtk
Priority: optional
Section: web
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Gustavo Noronha Silva <kov@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
           Alberto Garcia <berto@igalia.com>
X-Ubuntu-Use-Langpack: no
Build-Depends: gawk,
               cmake (>= 3.3),
               debhelper (>= 10),
               libfile-copy-recursive-perl,
               libglib2.0-dev (>= 2.36.0),
               libgtk2.0-dev (>= 2.24.10),
               libgtk-3-dev (>= 3.10.0),
               libpango1.0-dev (>= 1.30.0),
               libharfbuzz-dev (>= 0.9.18),
               libcairo2-dev (>= 1.10.2),
               libfontconfig1-dev (>= 2.8),
               libfreetype6-dev,
               libicu-dev,
               libgcrypt20-dev (>= 1.7.0),
               libgeoclue-2-dev,
               libhyphen-dev,
               libnotify-dev,
               libxslt1-dev (>= 1.1.7),
               libxml2-dev (>= 2.8),
               libsoup2.4-dev (>= 2.42.0),
               libsqlite3-dev (>= 3.0),
               libgudev-1.0-dev [linux-any],
               libupower-glib-dev,
               libwoff-dev (>= 1.0.2),
               gperf,
               bison,
               flex,
               ruby:native,
               libjpeg-dev,
               libpng-dev,
               libtasn1-6-dev,
               libwebp-dev,
               libxt-dev,
               libgstreamer1.0-dev (>= 1.13.1),
               libgstreamer-plugins-base1.0-dev (>= 1.13.1),
               libenchant-dev (>= 0.22),
               gtk-doc-tools,
               libglib2.0-doc,
               libgtk-3-doc,
               libsoup2.4-doc,
               geoclue-2.0,
               libsecret-1-dev,
               gobject-introspection (>= 1.32.0),
               libgirepository1.0-dev (>= 0.9.12-4),
               mesa-common-dev,
               libegl1-mesa-dev,
               libgl1-mesa-dev [!armel !armhf !arm64],
               libgles2-mesa-dev
Build-Conflicts: gir-repository-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
Homepage: https://webkitgtk.org/

Package: libjavascriptcoregtk-4.0-18
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK+
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-4.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK+ - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the development files.

Package: libjavascriptcoregtk-4.0-bin
Section: interpreters
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libjavascriptcoregtk-3.0-bin
Description: JavaScript engine library from WebKitGTK+ - command-line interpreter
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package provides jsc, a command-line JavaScript interpreter.

Package: gir1.2-javascriptcoregtk-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository
Description: JavaScript engine library from WebKitGTK+ - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.0-37
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gstreamer1.0-plugins-good,
            gstreamer1.0-pulseaudio | gstreamer1.0-alsa,
            gstreamer1.0-gl,
            libgl1-mesa-dri,
            ${gst:Recommends}
Suggests: libwebkit2gtk-4.0-37-gtk2
Description: Web content engine library for GTK+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This is the library for embedding in GTK+ applications.

Package: libwebkit2gtk-4.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         gir1.2-webkit2-4.0 (= ${binary:Version}),
         libgtk-3-dev,
         libsoup2.4-dev (>= 2.40),
         libjavascriptcoregtk-4.0-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for GTK+ - development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the development files.

Package: libwebkit2gtk-4.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Web content engine library for GTK+ - documentation
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the documentation.

Package: gir1.2-webkit2-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: Web content engine library for GTK+ - GObject introspection data
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.0-37-gtk2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Web content engine library for GTK+ - GTK+2 plugin process
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package adds support for NPAPI plugins that depend on the GTK+ 2
 library, such as the Adobe Flash and Google Talk/Hangouts plugins.

Package: webkit2gtk-driver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: WebKitGTK+ WebDriver support
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package provides the WebDriver service implementation for
 WebKitGTK+.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) -Wall
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

EXTRA_CMAKE_ARGUMENTS =

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_BUILD_ARCH_BITS),32)
	LDFLAGS += -Wl,--no-keep-memory
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds, so use -g1 in all architectures except the ones that
# are known to work fine
ifeq (,$(filter $(DEB_HOST_ARCH),amd64 ppc64 ppc64el))
	CFLAGS := $(CFLAGS:-g=-g1)
endif

# The 32-bit x86 build requires SSE2
ifneq (,$(filter $(DEB_HOST_ARCH),i386))
	CFLAGS += -msse2 -mfpmath=sse
endif

# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81426
ifneq (,$(filter $(DEB_HOST_ARCH),armhf sh3 sh4 powerpc))
	CFLAGS := $(CFLAGS:-O2=-O1)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
endif

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=OFF
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

# openjpeg2 is not in Ubuntu main yet https://launchpad.net/bugs/711061
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSE_OPENJPEG=OFF
	CPPFLAGS += -DUSER_AGENT_GTK_DISTRIBUTOR_NAME='"Ubuntu"'
else
	# gstreamer1.0-libav is not in Ubuntu "main"
	DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends="gstreamer1.0-libav"
endif

%:
	dh $@ --with gir

override_dh_auto_configure:
	CXXFLAGS="$(CFLAGS)" \
	dh_auto_configure -- \
	   -DPORT=GTK \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DENABLE_MINIBROWSER=ON \
	   $(EXTRA_CMAKE_ARGUMENTS)

# Create a dummy doc directory in case the "nodoc" build option is set
override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/webkit2gtk-4.0
	touch $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/webkit2gtk-4.0/index.html
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -plibwebkit2gtk-4.0-37 -Xinjected-bundle
	dh_makeshlibs -plibjavascriptcoregtk-4.0-18

override_dh_installdocs:
	dh_installdocs -A NEWS

override_dh_missing:
	dh_missing --fail-missing

override_dh_builddeb:
	DEB_BUILD_OPTIONS="$(filter-out parallel=%,$(DEB_BUILD_OPTIONS))" \
		dh_builddeb

override_dh_auto_test:

## webkit2gtk 2.24.3

=== debian/changelog ===
webkit2gtk (2.24.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Disable automatic dbgsym packages.
  * Recommended packages are hard depends for MX.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 08 Aug 2019 14:26:52 -0700

webkit2gtk (2.24.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Alberto Garcia <berto@igalia.com>  Thu, 01 Aug 2019 12:23:18 +0200

webkit2gtk (2.24.3-1) unstable; urgency=medium

  * New upstream release (Closes: #929749).
  * debian/control:
    + Recommend gstreamer1.0-libav. This package allows the user to play
      most internet videos (Closes: #870814).

 -- Alberto Garcia <berto@igalia.com>  Tue, 02 Jul 2019 13:03:13 +0300

webkit2gtk (2.24.2-2) unstable; urgency=high

  * The WebKitGTK security advisory WSA-2019-0003 lists the following
    security fixes in the latest versions of WebKitGTK+:
    + CVE-2019-8571, CVE-2019-8583, CVE-2019-8586, CVE-2019-8594,
      CVE-2019-8609, CVE-2019-8611, CVE-2019-8622 and CVE-2019-8623
      (fixed in 2.24.0).
    + CVE-2019-6237, CVE-2019-8584, CVE-2019-8587, CVE-2019-8596,
      CVE-2019-8597, CVE-2019-8601, CVE-2019-8608, CVE-2019-8610 and
      CVE-2019-8619 (fixed in 2.24.1).
    + CVE-2019-8595, CVE-2019-8607 and CVE-2019-8615 (fixed in 2.24.2).
  * Use the CLoop Javascript interpreter in i386 and stop telling gcc to
    use SSE2 instructions (Closes: #930935).
    + debian/rules:
      - Build with -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON and stop using
        -msse2 -mfpmath=sse.
    + debian/patches/dont-detect-sse2.patch:
      - Don't check for SSE2 support.
    + debian/NEWS:
      - Remove item about the requirement to have an SSE2-capable CPU.

 -- Alberto Garcia <berto@igalia.com>  Mon, 24 Jun 2019 16:34:09 +0300

=== debian/control ===
Source: webkit2gtk
Priority: optional
Section: web
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Gustavo Noronha Silva <kov@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
           Alberto Garcia <berto@igalia.com>
X-Ubuntu-Use-Langpack: no
Build-Depends: gawk,
               cmake (>= 3.3),
               debhelper (>= 11.2~),
               libfile-copy-recursive-perl,
               libglib2.0-dev (>= 2.36.0),
               libgtk2.0-dev (>= 2.24.10),
               libgtk-3-dev (>= 3.10.0),
               libpango1.0-dev (>= 1.30.0),
               libharfbuzz-dev (>= 0.9.18),
               libcairo2-dev (>= 1.10.2),
               libfontconfig1-dev (>= 2.8),
               libfreetype6-dev,
               libicu-dev,
               libgcrypt20-dev (>= 1.7.0),
               libgeoclue-2-dev,
               libhyphen-dev,
               libnotify-dev,
               libxslt1-dev (>= 1.1.7),
               libxml2-dev (>= 2.8),
               libsoup2.4-dev (>= 2.42.0),
               libsqlite3-dev (>= 3.0),
               libgudev-1.0-dev [linux-any],
               libupower-glib-dev,
               libwoff-dev (>= 1.0.2),
               gperf,
               bison,
               flex,
               ruby:native,
               libjpeg-dev,
               libopenjp2-7-dev (>= 2.2.0),
               libpng-dev,
               libtasn1-6-dev,
               libwebp-dev,
               libxt-dev,
               libgstreamer1.0-dev (>= 1.13.1),
               libgstreamer-plugins-base1.0-dev (>= 1.13.1),
               libenchant-dev (>= 0.22),
               gtk-doc-tools,
               libglib2.0-doc,
               libgtk-3-doc,
               libsoup2.4-doc,
               geoclue-2.0,
               libsecret-1-dev,
               gobject-introspection (>= 1.32.0),
               libgirepository1.0-dev (>= 0.9.12-4),
               mesa-common-dev,
               ninja-build,
               libegl1-mesa-dev,
               libgl1-mesa-dev [!armel !armhf !arm64],
               libgles2-mesa-dev
Build-Conflicts: gir-repository-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
Homepage: https://webkitgtk.org/

Package: libjavascriptcoregtk-4.0-18
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-4.0-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the development files.

Package: libjavascriptcoregtk-4.0-bin
Section: interpreters
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libjavascriptcoregtk-3.0-bin
Description: JavaScript engine library from WebKitGTK - command-line interpreter
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package provides jsc, a command-line JavaScript interpreter.

Package: gir1.2-javascriptcoregtk-4.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository
Description: JavaScript engine library from WebKitGTK - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.0-37
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         gstreamer1.0-plugins-good,
         gstreamer1.0-libav,
         gstreamer1.0-pulseaudio | gstreamer1.0-alsa,
         gstreamer1.0-gl,
         libgl1-mesa-dri,
         ${gst:Recommends}
Suggests: libwebkit2gtk-4.0-37-gtk2
Description: Web content engine library for GTK
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This is the library for embedding in GTK applications.

Package: libwebkit2gtk-4.0-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         gir1.2-webkit2-4.0 (= ${binary:Version}),
         libgtk-3-dev,
         libsoup2.4-dev (>= 2.40),
         libjavascriptcoregtk-4.0-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for GTK - development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the development files.

Package: libwebkit2gtk-4.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Web content engine library for GTK - documentation
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the documentation.

Package: gir1.2-webkit2-4.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: Web content engine library for GTK - GObject introspection data
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.0-37-gtk2
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Web content engine library for GTK - GTK 2 plugin process
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package adds support for NPAPI plugins that depend on the GTK 2
 library, such as the Adobe Flash and Google Talk/Hangouts plugins.

Package: webkit2gtk-driver
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: WebKitGTK WebDriver support
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package provides the WebDriver service implementation for
 WebKitGTK.

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,10 @@
 	CFLAGS := $(CFLAGS:-g=-g1)
 endif
 
-# The 32-bit x86 build requires SSE2
+# Use the CLoop Javascript interpreter and disable the JIT. This is
+# slow but it is the most compatible solution for old (non-SSE2) CPUs.
 ifneq (,$(filter $(DEB_HOST_ARCH),i386))
-	CFLAGS += -msse2 -mfpmath=sse
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON
 endif
 
 # See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81426
@@ -61,7 +62,7 @@
 endif
 
 %:
-	dh $@ --with gir
+	dh $@ --with gir --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	CXXFLAGS="$(CFLAGS)" \
@@ -95,4 +96,7 @@
 	DEB_BUILD_OPTIONS="$(filter-out parallel=%,$(DEB_BUILD_OPTIONS))" \
 		dh_builddeb
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_test:
